package netmatch;

import cytoscape.plugin.CytoscapePlugin;
import cytoscape.plugin.PluginInfo;
import cytoscape.Cytoscape;

public class netMatchPlugin extends CytoscapePlugin {
  PluginInfo info;

  /**
   * Constructor for NetMatch plugin.
   */
  public netMatchPlugin() {
    netMatchPluginAction action = new netMatchPluginAction(); // Create a new action to respond to menu activation
    action.setPreferredMenu("Plugins");                       // Set the preferred menu
    Cytoscape.getDesktop().getCyMenus().addAction(action);    // Add it to the menus

    info = new PluginInfo();
    info.addAuthor("Alfredo Ferro","University of Catania");
    info.addAuthor("Rosalba Giugno","University of Catania");
    info.addAuthor("Giuseppe Pigola","University of Catania");
    info.addAuthor("Alfredo Pulvirenti","University of Catania");
    info.setCategory("Network");
    info.setCytoscapeVersion("2.5.0");
    info.setDescription("Centroid: a Cytoscape Plugin for Searching on Biomedical Interaction Networks");
    info.setLicense("GNU",true);
    info.setName("Centroid");
    info.setPluginVersion(0.1);
    info.setReleaseDate("September 2007");
    info.setProjectUrl("http://ferrolab.dmi.unict.it");
  }
}